Subject: Re: [PATCH net-next v2] net/tcp_sigpool: Enable compile-testing

From: Simon Horman <[email-masked]>
Date: Wed, 21 Jan 2026 19:55:38 +0000

On Mon, Jan 19, 2026 at 05:26:37PM +0100, Geert Uytterhoeven wrote:
> Hi Jakub,
> 
> On Sun, 18 Jan 2026 at 01:33, Jakub Kicinski <[email-masked]> wrote:
> > On Thu, 15 Jan 2026 15:27:26 +0100 Geert Uytterhoeven wrote:
> > > Since commit 37a183d3b7cdb873 ("tcp: Convert tcp-md5 to use MD5 library
> > > instead of crypto_ahash"), TCP_SIGPOOL is only selected by TCP_AO.
> > > However, the latter depends on 64BIT, so tcp_sigpool can no longer be
> > > built on 32-bit platforms at all.
> > >
> > > Improve compile coverage on 32-bit by allowing the user to enable
> > > TCP_SIGPOOL when compile-testing.  Add a dependency on CRYPTO, which is
> > > always fulfilled when selected by TCP_AO.
> >
> > I don't see why we'd care. I understand COMPILE_TEST when the symbol
> > is narrowed down to a very unusual platform. But this is doing the
> > opposite, it's _adding_ a very unusual platform on which, as you say,
> 
> (I wouldn't claim it is a "very unusual platform". 32-bit won't be dead
>  for at least a decade ;-)
> 
> > this code cannot be used today. If this code regresses and someone
> > wants to start using it on 32b they'll have to fix it.
> >
> > Please LMK if I'm misunderstanding or there's another argument (not
> > mentioned in the commit message).
> 
> In general, we want to be able to test-compile as much code as possible
> on all platforms, but not bother everyone who configures and builds a
> kernel for his system.  Until commit 37a183d3b7cdb873, that included
> the tcp_sigpool code, and any build regressions would be caught soon,
> and fixed (presumably).  Of course that still doesn't guarantee the
> code would actually work on 32-bit, but successful compilation is a
> first step...
> 
> As the maintainer, the decision is yours, though.

Thanks Geert,

In my understanding COMPILE_TEST is about expanding compile-test coverage,
and that is what this patch does.

Reviewed-by: Simon Horman <[email-masked]>

I do notice this patch has been marked as Changes Requested in patchwork.
So maybe repost to re-activate it?